DtMmdbSectionGetLongTitle(library call)

NAME
DtMmdbSectionGetLongTitle — obtains the long title for a section

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbSectionGetLongTitle(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbSectionGetLongTitle function returns the long title for the specified section. Do not use the free function on the returned pointer. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetLongTitle uses the locator_ptr value.

length
    Specifies the variable to receive the length of the returned long title, if the returned pointer to the title is not NULL.

RETURN VALUE

If DtMmdbSectionGetLongTitle completes successfully, it returns a pointer to a NULL-terminated long title character string. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetLongTitle call might be coded.

DtMmdbInfoRequest request;
/* fill the request field here */
DtMmdbSectionGetLongTitle(&&request);

SEE ALSO

DtMmdbSectionGetShortTitle(3)